#include <LegendPosCommand.h>


LegendPosCommand :: LegendPosCommand() :
	name("LegendPos")
{
}


string LegendPosCommand :: execute(Projection *projection, Profile *profile)
{
	Gnuplot * gplt = projection->projection();

	profile->toggleLegend();

	gplt->cmd ("set key %s top title ' '", profile->legend().c_str());

	return "";
}


